<?php
/**
 * Content footer info view
 *
 * @package wp-viral-click
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st   = $this->setting;
$info = $st->getSetting( 'widget_footer_info' );
if ( empty( $info )) {
	return true;
}

//Style
$classid  = '.ipjck-widget-' . $this->widget->ID;
$color    = $st->getSetting( 'box_info_color', '#333333' );
$shadow   = $st->getSetting( 'box_info_shadow', 'false' );
//Font
$fontsz   = $st->getSetting( 'box_info_size', '14' );
$font_opt = $st->getSetting( 'box_info_font', 'roboto' );
$family   = IPJck_Font::getFamily( $font_opt );
//Class
$class    = 'ipjck-info-footer';
if ( $shadow == 'true' ) {
	$class .= ' ipjck-shadow-on';
}
?>
<style>
<?php echo $classid; ?> .ipjck-info-footer {
	color: <?php echo $color; ?>;
	font-size: <?php echo $fontsz; ?>px;
	line-height: <?php echo $fontsz; ?>px;
	font-family: <?php echo $family; ?>;
}
</style>
<div class="<?php echo $class; ?>">
	<?php echo $info; ?>
</div>